OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ARB.ES31Compatibility

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBES31Compatibility :: MonadIO m => m Bool
- gl_ARB_ES3_1_compatibility :: Bool
- pattern GL_BACK :: GLenum
- glMemoryBarrierByRegion :: MonadIO m => GLbitfield -> m ()

# Extension Support

glGetARBES31Compatibility :: MonadIO m => m Bool Source #

Is the ARB_ES3_1_compatibility extension supported?

gl_ARB_ES3_1_compatibility :: Bool Source #

Is the ARB_ES3_1_compatibility extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBES31Compatibility` in those cases instead.

# Enums

pattern GL_BACK :: GLenum Source #

# Functions

glMemoryBarrierByRegion Source #

Arguments

:: MonadIO m |
=> GLbitfield | `barriers` of type MemoryBarrierMask.
-> m () |

Manual page for OpenGL 4.x.